package com.ruoyi.reportManagement.excel;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 入库导出
 *
 * @author ruoyi
 * @date 2020-12-11
 */
public class Payable {
    private static final long serialVersionUID = 1L;

    /**
     * 客户名称，t_corps 中的no或 name，模糊查找选择后，存储id，显示name
     */
    @Excel(name = "货权方")
    private String fName;

    /**
     * 入（出）库日期
     */
    @Excel(name = "结算单位")
    private String fFeesName;

    /**
     * 提单号
     */
    @Excel(name = "提单号")
    private String fMblno;

    /**
     * 提单号
     */
    @Excel(name = "货物名称")
    private String fProductName;

    /**
     * 唛头
     */
    @Excel(name = "品牌")
    private String fMarks;

    /**
     * 入（出）库日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审核日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fReviewDate;

    /**
     * 应收金额
     */
    @Excel(name = "应付金额")
    private BigDecimal fAmount;

    /**
     * 实收金额
     */
    @Excel(name = "实付金额")
    private BigDecimal fStlamount;

    /**
     * 未收金额
     */
    @Excel(name = "未付金额")
    private BigDecimal nnfinished;

    public String getfName() {
        return fName;
    }

    public void setfName(String fName) {
        this.fName = fName;
    }

    public String getfFeesName() {
        return fFeesName;
    }

    public void setfFeesName(String fFeesName) {
        this.fFeesName = fFeesName;
    }

    public String getfMblno() {
        return fMblno;
    }

    public void setfMblno(String fMblno) {
        this.fMblno = fMblno;
    }

    public String getfProductName() {
        return fProductName;
    }

    public void setfProductName(String fProductName) {
        this.fProductName = fProductName;
    }

    public String getfMarks() {
        return fMarks;
    }

    public void setfMarks(String fMarks) {
        this.fMarks = fMarks;
    }

    public Date getfReviewDate() {
        return fReviewDate;
    }

    public void setfReviewDate(Date fReviewDate) {
        this.fReviewDate = fReviewDate;
    }

    public BigDecimal getfAmount() {
        return fAmount;
    }

    public void setfAmount(BigDecimal fAmount) {
        this.fAmount = fAmount;
    }

    public BigDecimal getfStlamount() {
        return fStlamount;
    }

    public void setfStlamount(BigDecimal fStlamount) {
        this.fStlamount = fStlamount;
    }

    public BigDecimal getNnfinished() {
        return nnfinished;
    }

    public void setNnfinished(BigDecimal nnfinished) {
        this.nnfinished = nnfinished;
    }
}
